<?php
/**
 *  Music Zone Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage  Music Zone Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function music_zone_pro_custom_colors_css() {
  	$options= music_zone_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	.main-navigation form.search-form button.search-submit,
	.menu-toggle:hover,
	.menu-toggle:focus,
	.main-navigation ul ul a:hover, 
	.main-navigation ul ul a:focus,
	.btn,
	.featured-slider .read-more a:first-child:hover, 
	.featured-slider .read-more a:first-child:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	#music_zone_pro_service_section .icon-container a,
	.wp-playlist-tracks .wp-playlist-item.wp-playlist-playing, 
	.wp-playlist-tracks .wp-playlist-item:hover,
	.woocommerce a.button,
	#music_zone_pro_events_section .btn:hover, 
	#music_zone_pro_events_section .btn:focus,
	#music_zone_pro_gallery_section article .overlay,
	.slick-dots li.slick-active button,
	button, 
	input[type="button"], 
	input[type="reset"], 
	input[type="submit"],
	.archive-blog-wrapper .posted-on a,
	button.dropdown-toggle,
	.dark-version .pagination .page-numbers.current, 
	.dark-version .pagination .page-numbers:hover, 
	.dark-version .pagination .page-numbers:focus,
	.reply a,
	.video-button a,
	.woocommerce ul.products li.product .onsale, 
	.woocommerce span.onsale,
	span.discount-offer,
	.wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current:after,
	.wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current {
	    background-color: ' . esc_attr( $color_value ) . ';
	}

	a,
	.site-title a:hover,
	.site-title a:focus,
	.contact-info a:hover,
	.contact-info a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.widget-title,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.page-header small,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.reply a,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.section-subtitle,
	#counter-section .counter-icon i,
	.product_meta a:hover,
	.product_meta a:focus,
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.woocommerce ul.products li.product .price,
	.woocommerce ul.products li.product .price,
	.woocommerce #respond input#submit, 
	.woocommerce button.button, 
	.woocommerce input.button,
	#trending-products .entry-title a:hover,
	#trending-products .entry-title a:focus,
	#trending-products .price,
	ul.post-categories li a,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a,
	#music_zone_pro_events_section .entry-title a:hover, 
	#music_zone_pro_events_section .entry-title a:focus, 
	#music_zone_pro_events_section .posted-on a:hover, 
	#music_zone_pro_events_section .posted-on a:focus,
	.posted-on a:hover, 
	.posted-on a:focus, 
	#secondary .posted-on a:hover, 
	#secondary .posted-on a:focus,
	.comment-metadata a:hover, 
	.comment-metadata a:focus, 
	.comment-meta .url:hover, 
	.comment-meta .url:focus,
	#secondary .cat-links a, 
	#secondary ul li a:hover, 
	#secondary ul li a:focus,
	#music_zone_pro_recent_posts_section .post-footer-meta a:hover, 
	#music_zone_pro_recent_posts_section .post-footer-meta a:focus,
	#music_zone_pro_popular_posts_section .post-footer-meta a:hover, 
	#music_zone_pro_popular_posts_section .post-footer-meta a:focus,
	#music_zone_pro_trending_product_section .entry-title a:hover, 
	#music_zone_pro_trending_product_section .entry-title a:focus,
	#music_zone_pro_trending_product_section .price,
	.wp-playlist .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.wp-playlist .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.wp-playlist .mejs-button.mejs-playpause-button.mejs-play>button:before, 
	.wp-playlist .mejs-button.mejs-playpause-button.mejs-pause>button:before, 
	.wp-playlist .wp-playlist-prev:before, 
	.wp-playlist .wp-playlist-next:before {
		color: ' . esc_attr( $color_value ) . ';
	}

	.loader-container svg,
	.contact-info svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	.slick-prev:hover svg,
	.slick-next:hover svg,
	.slick-prev:focus svg,
	.slick-next:focus svg,
	.dark-version .navigation.post-navigation a:hover svg, 
	.dark-version .navigation.posts-navigation a:hover svg, 
	.dark-version .navigation.post-navigation a:focus svg, 
	.dark-version .navigation.posts-navigation a:focus svg,
	#music_zone_pro_team_section .social-icons a svg {
		fill: ' . esc_attr( $color_value ) . ';
	}

	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active,
	.menu-toggle:hover,
	.menu-toggle:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.reply a,
	.reply a:hover,
	.reply a:focus,
	.btn,
	.featured-slider .read-more a:first-child:hover, 
	.featured-slider .read-more a:first-child:focus,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.archive-blog-wrapper .post-item-wrapper:after,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	#music_zone_pro_events_section .posted-on,
	.slick-dots li button,
	.dark-version .pagination .page-numbers.current, 
	.dark-version .pagination .page-numbers:hover, 
	.dark-version .pagination .page-numbers:focus,
	#music_zone_pro_events_section .btn:hover, 
	#music_zone_pro_events_section .btn:focus {
		border-color: ' . esc_attr( $color_value ) . ';
	}

	.footer-widgets-area + .site-info .wrapper {
		border-top-color: ' . esc_attr( $color_value ) . ';
	}

	@media screen and (min-width: 1024px) {
		.absolute-header .main-navigation ul.nav-menu > li:hover > a svg,
		.absolute-header .main-navigation ul.nav-menu > li.focus > a svg,
		.fixed-header .main-navigation ul.nav-menu > li:hover > a svg,
		.fixed-header .main-navigation ul.nav-menu > li.focus > a svg {
			background-color: ' . esc_attr( $color_value ) . ';
		}

		.main-navigation ul.nav-menu > li.current-menu-item > a, 
		.main-navigation ul.nav-menu > li > a:hover, 
		.main-navigation ul.nav-menu > li > a:focus {
			border-bottom-color: ' . esc_attr( $color_value ) . ';
		}
	}

	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr( $color_value ) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	}';

	/**
	 * Filters  Music Zone Pro custom colors CSS.
	 *
	 * @since  Music Zone Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'music_zone_pro_custom_colors_css', $css );
}
