<?php


function music_zone_pro_style( $args = array() ) {
		$options = music_zone_pro_get_theme_options();
		$header_image = get_header_image();
	?>

		<style type="text/css">

			 #page-site-header{
			 	background-image: url( '<?php echo esc_url( $header_image ); ?>' );
			 }

			<?php if ( !empty($options['theme_head_typography']) ): ?>
				h1, h2, h3, h4, h5, h6 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_body_typography']) ): ?>
				body {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_title_typography']) ): ?>
				.site-title a {
				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_description_typography']) ): ?>
				.site-description {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_menu_typography']) ): ?>
				.menu-item a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
				.btn,
				.more-link a
				 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

			<?php if( $options['hide_banner'] ) : ?>
			.blog #page-site-header, .archive #page-site-header, .search #page-site-header{
				background-image: none;
				padding: 0px 0px;
				background-color: transparent;
			}
			.blog #page-site-header .header-wrapper, .archive #page-site-header .header-wrapper, .search #page-site-header .header-wrapper {
				background-color: #333;
			}
			#masthead{
				background-color: #000;
			}
			<?php else: ?>
				.blog .header-wrapper, .archive .header-wrapper, .search .header-wrapper {
				background-color: transparent;
				
			}
			<?php endif; ?>

			<?php if( $options['single_post_hide_banner'] ) : ?>
			.single #page-site-header{
				background-image: none;
				padding: 0px 0px;
				background-color: transparent;
			}
			.single #page-site-header .header-wrapper {
				background-color: #333;
			}
			#masthead{
				background-color: #000;
			}
			<?php else: ?>
				.single .header-wrapper {
				background-color: transparent;
				
			}
			<?php endif; ?>

		</style>
		
<?php }

add_action( 'wp_head', 'music_zone_pro_style' );