<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage  Music Zone Pro
* @since  Music Zone Pro 1.0.0
*/

// blog btn title
if ( ! function_exists( 'music_zone_pro_copyright_text_partial' ) ) :
    function music_zone_pro_copyright_text_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

// slider_btn_txt
if ( ! function_exists( 'music_zone_pro_slider_btn_txt_partial' ) ) :
    function music_zone_pro_slider_btn_txt_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['slider_btn_txt'] );
    }
endif;

// slider_btn_alt_txt
if ( ! function_exists( 'music_zone_pro_slider_btn_alt_txt_partial' ) ) :
    function music_zone_pro_slider_btn_alt_txt_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['slider_btn_alt_txt'] );
    }
endif;

/*=============Partners Section==============*/
if ( ! function_exists( 'music_zone_pro_partners_subtitle_partial' ) ) :
    // partners_subtitle
    function music_zone_pro_partners_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['partners_subtitle'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_partners_title_partial' ) ) :
    // partners_title
    function music_zone_pro_partners_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['partners_title'] );
    }
endif;

/*=============Contact Section==============*/

// contact_section_subtitle selective refresh
if ( ! function_exists( 'music_zone_pro_contact_section_subtitle_partial' ) ) :
    function music_zone_pro_contact_section_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['contact_section_subtitle'] );
    }
endif;
// contact_section_title selective refresh
if ( ! function_exists( 'music_zone_pro_contact_section_title_partial' ) ) :
    function music_zone_pro_contact_section_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['contact_section_title'] );
    }
endif;

/*=============Recent Posts Section==============*/

if ( ! function_exists( 'music_zone_pro_recent_posts_sub_title_partial' ) ) :
    // recent_posts_sub_title
    function music_zone_pro_recent_posts_sub_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['recent_posts_sub_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_recent_posts_title_partial' ) ) :
    // recent_posts_title
    function music_zone_pro_recent_posts_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['recent_posts_title'] );
    }
endif;

/*=============Popular Posts Section==============*/

if ( ! function_exists( 'music_zone_pro_popular_posts_sub_title_partial' ) ) :
    // popular_posts_sub_title
    function music_zone_pro_popular_posts_sub_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['popular_posts_sub_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_popular_posts_title_partial' ) ) :
    // popular_posts_title
    function music_zone_pro_popular_posts_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['popular_posts_title'] );
    }
endif;

// instagram_section_sub_title selective refresh
if ( ! function_exists( 'music_zone_pro_instagram_section_sub_title_partial' ) ) :
    function music_zone_pro_instagram_section_sub_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['instagram_section_sub_title'] );
    }
endif;

// instagram_section_title selective refresh
if ( ! function_exists( 'music_zone_pro_instagram_section_title_partial' ) ) :
    function music_zone_pro_instagram_section_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['instagram_section_title'] );
    }
endif;

/*=============Service Section==============*/

if ( ! function_exists( 'music_zone_pro_service_section_sub_title_partial' ) ) :
    // service_section_sub_title
    function music_zone_pro_service_section_sub_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['service_section_sub_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_service_section_title_partial' ) ) :
    // service_section_title
    function music_zone_pro_service_section_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['service_section_title'] );
    }
endif;

/*=============About Section==============*/

if ( ! function_exists( 'music_zone_pro_about_subtitle_partial' ) ) :
    // about_sub_title
    function music_zone_pro_about_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['about_subtitle'] );
    }
endif;

/*=============Album Section==============*/

if ( ! function_exists( 'music_zone_pro_album_title_partial' ) ) :
    // about_sub_title
    function music_zone_pro_album_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['album_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_album_subtitle_partial' ) ) :
    // about_sub_title
    function music_zone_pro_album_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['album_subtitle'] );
    }
endif;

/*=============Latest Posts Section==============*/

if ( ! function_exists( 'music_zone_pro_latest_posts_title_partial' ) ) :
    // about_sub_title
    function music_zone_pro_latest_posts_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['latest_posts_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_latest_posts_subtitle_partial' ) ) :
    // about_sub_title
    function music_zone_pro_latest_posts_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['latest_posts_subtitle'] );
    }
endif;

/*=============Contact Section==============*/

if ( ! function_exists( 'music_zone_pro_contact_section_title_partial' ) ) :
    // about_sub_title
    function music_zone_pro_contact_section_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['contact_section_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_contact_section_subtitle_partial' ) ) :
    // about_sub_title
    function music_zone_pro_contact_section_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['contact_section_subtitle'] );
    }
endif;

/*=============Event Section==============*/

if ( ! function_exists( 'music_zone_pro_event_subtitle_partial' ) ) :
    // about_sub_title
    function music_zone_pro_event_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['event_subtitle'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_event_title_partial' ) ) :
    // about_sub_title
    function music_zone_pro_event_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['event_title'] );
    }
endif;

/*=============Gallery Section==============*/

if ( ! function_exists( 'music_zone_pro_gallery_subtitle_partial' ) ) :
    // about_sub_title
    function music_zone_pro_gallery_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['gallery_subtitle'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_gallery_title_partial' ) ) :
    // about_sub_title
    function music_zone_pro_gallery_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;

/*=============Playlist Section==============*/

if ( ! function_exists( 'music_zone_pro_playlist_subtitle_partial' ) ) :
    // about_sub_title
    function music_zone_pro_playlist_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['playlist_subtitle'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_playlist_title_partial' ) ) :
    // about_sub_title
    function music_zone_pro_playlist_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['playlist_title'] );
    }
endif;

/*=============Popular Product Section==============*/

if ( ! function_exists( 'music_zone_pro_popular_products_section_sub_title_partial' ) ) :
    // popular_products_sub_title
    function music_zone_pro_popular_products_section_sub_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['popular_products_sub_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_popular_products_section_title_partial' ) ) :
    // popular_products_title
    function music_zone_pro_popular_products_section_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['popular_products_title'] );
    }
endif;

/*=============Recent Product Section==============*/

if ( ! function_exists( 'music_zone_pro_recent_product_subtitle_partial' ) ) :
    // recent_product_sub_title
    function music_zone_pro_recent_product_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['recent_product_subtitle'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_recent_product_title_partial' ) ) :
    // recent_product_title
    function music_zone_pro_recent_product_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['recent_product_title'] );
    }
endif;

/*=============Team Section==============*/

if ( ! function_exists( 'music_zone_pro_team_sub_title_partial' ) ) :
    // team_sub_title
    function music_zone_pro_team_sub_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['team_sub_title'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_team_title_partial' ) ) :
    // team_title
    function music_zone_pro_team_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['team_title'] );
    }
endif;

/*=============Testimonial Section==============*/

if ( ! function_exists( 'music_zone_pro_testimonial_subtitle_partial' ) ) :
    // testimonial_sub_title
    function music_zone_pro_testimonial_subtitle_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['testimonial_subtitle'] );
    }
endif;

if ( ! function_exists( 'music_zone_pro_testimonial_title_partial' ) ) :
    // testimonial_title
    function music_zone_pro_testimonial_title_partial() {
        $options = music_zone_pro_get_theme_options();
        return esc_html( $options['testimonial_title'] );
    }
endif;


