<?php
/**
 * Playlist Section options
 *
 * @package Theme Palace
 * @subpackage Music Zone Pro
 * @since Music Zone Pro 1.0.0
 */

// Add Playlist section
$wp_customize->add_section( 'music_zone_pro_music_player_section', array(
	'title'             => esc_html__( 'Music Player','music-zone-pro' ),
	'description'       => esc_html__( 'Music Player options.', 'music-zone-pro' ),
	'panel'             => 'music_zone_pro_front_page_panel',
	'active_callback'   => function( $control ) {
		return (
			music_zone_pro_is_default_layout( $control )
		);
	},
) );

// Playlist content enable control and setting
$wp_customize->add_setting( 'music_zone_pro_theme_options[music_player_section_enable]', array(
	'default'			=> 	$options['music_player_section_enable'],
	'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Music_Zone_Pro_Switch_Control( $wp_customize, 'music_zone_pro_theme_options[music_player_section_enable]', array(
	'label'             => esc_html__( 'Music Player Enable', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_music_player_section',
	'on_off_label' 		=> music_zone_pro_switch_options(),
) ) );


// playlist posts drop down chooser control and setting
$wp_customize->add_setting( 'music_zone_pro_theme_options[music_player_content]', array(
	'sanitize_callback' => 'music_zone_pro_sanitize_array_int',
) );

$wp_customize->add_control( new Music_Zone_Pro_Multiple_Dropdown_Chooser( $wp_customize, 'music_zone_pro_theme_options[music_player_content]', array(
	'label'             => esc_html__( 'Select Multiple Audios', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_music_player_section',
	'choices'			=> music_zone_pro_audio_choices(),
	'active_callback'	=> 'music_zone_pro_is_music_player_section_enable',
) ) );
