<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage  Music Zone Pro
 * @since  Music Zone Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'music_zone_pro_archive_section',
	array(
		'title'             => esc_html__( 'Blog/Archive','music-zone-pro' ),
		'description'       => esc_html__( 'Archive section options.', 'music-zone-pro' ),
		'panel'             => 'music_zone_pro_theme_options_panel',
	)
);

// Your latest posts title setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[your_latest_posts_title]',
	array(
		'default'           => $options['your_latest_posts_title'],
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'music_zone_pro_theme_options[your_latest_posts_title]',
	array(
		'label'             => esc_html__( 'Your Latest Posts Title', 'music-zone-pro' ),
		'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'music-zone-pro' ),
		'section'           => 'music_zone_pro_archive_section',
		'type'				=> 'text',
		'active_callback'   => 'music_zone_pro_is_latest_posts'
	)
);

// features content type control and setting
$wp_customize->add_setting( 'music_zone_pro_theme_options[blog_column]',
	array(
		'default'          	=> $options['blog_column'],
		'sanitize_callback' => 'music_zone_pro_sanitize_select',
		'transport'         => 'postMessage'
	)
);

$wp_customize->add_control( 'music_zone_pro_theme_options[blog_column]',
	array(
		'label'             => esc_html__( 'Column Layout', 'music-zone-pro' ),
		'section'           => 'music_zone_pro_archive_section',
		'type'				=> 'select',
		'choices'			=> array( 
			'col-1'		=> esc_html__( 'One Column', 'music-zone-pro' ),
			'col-2'		=> esc_html__( 'Two Column', 'music-zone-pro' ),
			'col-3'		=> esc_html__( 'Three Column', 'music-zone-pro' ),
		),
	)
);

// hide banner control and setting
$wp_customize->add_setting( 'music_zone_pro_theme_options[hide_banner]', array(
	'default'           => $options['hide_banner'],
	'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	'transport'         => 'postMessage'
 ) );

$wp_customize->add_control( new Music_Zone_Pro_Switch_Control( $wp_customize, 'music_zone_pro_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_archive_section',
	'on_off_label' 		=> music_zone_pro_hide_options(),
) ) );

// hide image control and setting
$wp_customize->add_setting( 'music_zone_pro_theme_options[hide_image]', array(
	'default'           => $options['hide_image'],
	'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	'transport'         => 'postMessage'
) );

$wp_customize->add_control( new Music_Zone_Pro_Switch_Control( $wp_customize, 'music_zone_pro_theme_options[hide_image]', array(
	'label'             => esc_html__( 'Hide Post Image', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_archive_section',
	'on_off_label' 		=> music_zone_pro_hide_options(),
) ) );

// hide image control and setting
$wp_customize->add_setting( 'music_zone_pro_theme_options[hide_content]', array(
	'default'           => $options['hide_content'],
	'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	'transport'         => 'postMessage'
) );

$wp_customize->add_control( new Music_Zone_Pro_Switch_Control( $wp_customize, 'music_zone_pro_theme_options[hide_content]', array(
	'label'             => esc_html__( 'Hide Post Content', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_archive_section',
	'on_off_label' 		=> music_zone_pro_hide_options(),
) ) );



/*// Archive tag category setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[hide_author]',
	array(
		'default'           => $options['hide_author'],
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[hide_author]',
		array(
			'label'             => esc_html__( 'Hide Author', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_archive_section',
			'on_off_label' 		=> music_zone_pro_hide_options(),
		)
	)
);

// Archive tag category setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[hide_date]',
	array(
		'default'           => $options['hide_date'],
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[hide_date]',
		array(
			'label'             => esc_html__( 'Hide Date', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_archive_section',
			'on_off_label' 		=> music_zone_pro_hide_options(),
		)
	)
);

// Archive tag category setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[hide_category]',
	array(
		'default'           => $options['hide_category'],
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[hide_category]',
		array(
			'label'             => esc_html__( 'Hide Category', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_archive_section',
			'on_off_label' 		=> music_zone_pro_hide_options(),
		)
	)
);
*/