<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Music Zone Pro
 * @since  Music Zone Pro 1.0.0
 */

$wp_customize->add_section( 'music_zone_pro_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','music-zone-pro' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'music-zone-pro' ),
		'panel'             => 'music_zone_pro_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'music-zone-pro' ),
			'section'          	=> 'music_zone_pro_breadcrumb',
			'on_off_label' 		=> music_zone_pro_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'music_zone_pro_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'music-zone-pro' ),
		'active_callback' 	=> 'music_zone_pro_is_breadcrumb_enable',
		'section'          	=> 'music_zone_pro_breadcrumb',
	)
);
