<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  Music Zone Pro
 * @since  Music Zone Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'music_zone_pro_menu',
	array(
		'title'             => esc_html__('Header Menu','music-zone-pro'),
		'description'       => esc_html__( 'Header Menu options.', 'music-zone-pro' ),
		'panel'             => 'nav_menus',
	)
);

$wp_customize->add_setting( 'music_zone_pro_theme_options[search_icon_in_primary_menu_enable]',
	array(
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
		'default'           => $options['search_icon_in_primary_menu_enable'],
	)
);

$wp_customize->add_control( new  Music_Zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[search_icon_in_primary_menu_enable]',
		array(
			'label'             => esc_html__( 'Show Search Icon', 'music-zone-pro' ),
			'description'       => esc_html__( 'Show Search Icon in Primary menu', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_menu',
			'on_off_label' 		=> music_zone_pro_switch_options(),
		)
	)
);

// Menu sticky setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Music_Zone_Pro_Switch_Control( $wp_customize, 'music_zone_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_menu',
	'on_off_label' 		=> music_zone_pro_switch_options(),
) ) );