<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage  Music Zone Pro
 * @since  Music Zone Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'music_zone_pro_pagination',
	array(
		'title'               	=> esc_html__('Pagination','music-zone-pro'),
		'description'         	=> esc_html__( 'Pagination section options.', 'music-zone-pro' ),
		'panel'               	=> 'music_zone_pro_theme_options_panel',
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[pagination_enable]',
	array(
		'sanitize_callback' 	=> 'music_zone_pro_sanitize_switch_control',
		'default'             	=> $options['pagination_enable'],
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[pagination_enable]',
		array(
			'label'               	=> esc_html__( 'Pagination Enable', 'music-zone-pro' ),
			'section'             	=> 'music_zone_pro_pagination',
			'on_off_label' 			=> music_zone_pro_switch_options(),
		)
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[pagination_type]',
	array(
		'sanitize_callback'   	=> 'music_zone_pro_sanitize_select',
		'default'             	=> $options['pagination_type'],
	)
);

$wp_customize->add_control( 'music_zone_pro_theme_options[pagination_type]',
	array(
		'label'               	=> esc_html__( 'Pagination Type', 'music-zone-pro' ),
		'section'             	=> 'music_zone_pro_pagination',
		'type'                	=> 'select',
		'choices'			  	=> music_zone_pro_pagination_options(),
		'active_callback'	  	=> 'music_zone_pro_is_pagination_enable',
	)
);
