<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage  Music Zone Pro
 * @since  Music Zone Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'music_zone_pro_single_post_section',
	array(
		'title'             => esc_html__( 'Single Post','music-zone-pro' ),
		'description'       => esc_html__( 'Options to change the single posts globally.', 'music-zone-pro' ),
		'panel'             => 'music_zone_pro_theme_options_panel',
	)
);

$wp_customize->add_setting( 'music_zone_pro_theme_options[single_post_hide_banner]', array(
	'default'           => $options['single_post_hide_banner'],
	'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	'transport'        => 'postMessage'
) );

$wp_customize->add_control( new Music_Zone_Pro_Switch_Control( $wp_customize, 'music_zone_pro_theme_options[single_post_hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_single_post_section',
	'on_off_label' 		=> music_zone_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'music_zone_pro_theme_options[single_post_hide_image]', array(
	'default'           => $options['single_post_hide_image'],
	'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
	'transport'        => 'postMessage'
) );

$wp_customize->add_control( new Music_Zone_Pro_Switch_Control( $wp_customize, 'music_zone_pro_theme_options[single_post_hide_image]', array(
	'label'             => esc_html__( 'Hide Image', 'music-zone-pro' ),
	'section'           => 'music_zone_pro_single_post_section',
	'on_off_label' 		=> music_zone_pro_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[single_post_hide_date]',
	array(
		'default'           => $options['single_post_hide_date'],
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
		'transport'        => 'postMessage'
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[single_post_hide_date]',
		array(
			'label'             => esc_html__( 'Hide Date', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_single_post_section',
			'on_off_label' 		=> music_zone_pro_hide_options(),
		)
	)
);

// Archive author meta setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[single_post_hide_author]',
	array(
		'default'           => $options['single_post_hide_author'],
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
		'transport'        => 'postMessage'
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[single_post_hide_author]',
		array(
			'label'             => esc_html__( 'Hide Author', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_single_post_section',
			'on_off_label' 		=> music_zone_pro_hide_options(),
		)
	)
);

// Archive author category setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[single_post_hide_category]',
	array(
		'default'           => $options['single_post_hide_category'],
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
		'transport'        => 'postMessage'
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[single_post_hide_category]',
		array(
			'label'             => esc_html__( 'Hide Category', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_single_post_section',
			'on_off_label' 		=> music_zone_pro_hide_options(),
		)
	)
);

// Archive tag category setting and control.
$wp_customize->add_setting( 'music_zone_pro_theme_options[single_post_hide_tags]',
	array(
		'default'           => $options['single_post_hide_tags'],
		'sanitize_callback' => 'music_zone_pro_sanitize_switch_control',
		'transport'        => 'postMessage'
	)
);

$wp_customize->add_control( new  music_zone_Pro_Switch_Control( $wp_customize,
	'music_zone_pro_theme_options[single_post_hide_tags]',
		array(
			'label'             => esc_html__( 'Hide Tag', 'music-zone-pro' ),
			'section'           => 'music_zone_pro_single_post_section',
			'on_off_label' 		=> music_zone_pro_hide_options(),
		)
	)
);
