<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage  Music Zone Pro
* @since  Music Zone Pro 1.0.0
*/
if ( ! function_exists( 'music_zone_pro_validate_long_excerpt' ) ) :
    function music_zone_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'music-zone-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'music-zone-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'music_zone_pro_validate_slider_count' ) ) :
  function music_zone_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_partners_count' ) ) :
  function music_zone_pro_validate_partners_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 20 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 20', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_counter_count' ) ) :
  function music_zone_pro_validate_counter_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_album_count' ) ) :
  function music_zone_pro_validate_album_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 50 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_product_count' ) ) :
  function music_zone_pro_validate_product_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_event_count' ) ) :
  function music_zone_pro_validate_event_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_gallery_count' ) ) :
  function music_zone_pro_validate_gallery_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_team_count' ) ) :
  function music_zone_pro_validate_team_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_testimonial_count' ) ) :
  function music_zone_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_latest_posts_count' ) ) :
  function music_zone_pro_validate_latest_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_featured_posts_count' ) ) :
  function music_zone_pro_validate_featured_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 50 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_recent_posts_count' ) ) :
  function music_zone_pro_validate_recent_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 50 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_popular_posts_count' ) ) :
  function music_zone_pro_validate_popular_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 50 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_instagram_count' ) ) :
  function music_zone_pro_validate_instagram_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_popular_products_count' ) ) :
  function music_zone_pro_validate_popular_products_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 50 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_featured_products_count' ) ) :
  function music_zone_pro_validate_featured_products_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'music-zone-pro' ) );
     } elseif ( $value > 30 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_trending_product_count' ) ) :
  function music_zone_pro_validate_trending_product_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_service_posts_count' ) ) :
  function music_zone_pro_validate_service_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'music-zone-pro' ) );
     } elseif ( $value > 6 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'music_zone_pro_validate_recent_product_count' ) ) :
  function music_zone_pro_validate_recent_product_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'music-zone-pro' ) );
     } elseif ( $value <  1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'music-zone-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'music-zone-pro' ) );
     }
     return $validity;
  }
endif;





